#include <sys/stat.h>
#include <qapplication.h>
#include "tm_dialog.h"
//#include "imageviewer.h"

QString cmdlinefname = "";
QApplication *qApp;

int main( int argc, char ** argv )
{
	//QApplication a( argc, argv );
	qApp = new QApplication ( argc, argv );
	
	// check if a valid filename on the command line 
	if( argc > 1 ) {
		struct stat buff;
		int rc = stat(argv[argc-1], &buff);
		if( rc == 0 ) {
			if( S_ISREG(buff.st_mode) )
				cmdlinefname = argv[argc-1];
		}	
	}
	
	TMDialog w;
	
	//ImageDialog w;
	w.show();
	
	//a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
	//return a.exec();
	
	qApp->connect( qApp, SIGNAL( lastWindowClosed() ), qApp, SLOT( quit() ) );
	return qApp->exec();
	
}
