/****************************************************************************
** Form implementation generated from reading ui file 'helpdialog.ui'
**
** Created: 2012-03-19T05:01:37
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "helpdialog.h"

#include <qvariant.h>
#include <qtextbrowser.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a HelpDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HelpDialog::HelpDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "HelpDialog" );
    setSizeGripEnabled( TRUE );
    HelpDialogLayout = new QVBoxLayout( this, 11, 6, "HelpDialogLayout"); 

    helpBrowser = new QTextBrowser( this, "helpBrowser" );
    HelpDialogLayout->addWidget( helpBrowser );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    Horizontal_Spacing2 = new QSpacerItem( 254, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout2->addWidget( buttonOk );
    HelpDialogLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(592, 387).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HelpDialog::~HelpDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HelpDialog::languageChange()
{
    setCaption( tr( "qpfstmo Help" ) );
    helpBrowser->setText( tr( "<p align=\"center\"><font size=\"+1\"><b>q p f s t m o</b> <br>v1.0</font></p>\n"
"\n"
"<p>This is a GUI interacface to the pfstmo suite of tone mapping operators. Fo this program to work, you must have pfstools and pfstmo installed.</p>\n"
"\n"
"<p>Specify the input HDR image file as an argument on the command line or from <b>Open Dialog</b> that appears. The input file can be changed with the <b>Open</b>, <img src=\"open.png\">.</p>\n"
"\n"
"<p>After the file is loaded, a <b>Work Size</b> mist be chosen. This is the image size that will be Tone Mapped. It is best to select a small size to initially explore the choice of operator and parameters.</p>\n"
"\n"
"<p>Once the image is resized, select a tone mapping operator from the available tabs. Use <b>Apply</b>, <img src=\"next.png\"> to begin tone mapping. Use the sliders, edit and check boxes to control the mapping parameters. Use <b>Apply</b> to update the tone mapping. The <b>Default</b> values for any tone mapping operator can be restored with <img src=\"undo.png\">.</p>\n"
"\n"
"<p>After selecting the <b>Work Size</b>, a viewer window will open, if not open already. With the viewer window, the <b>Gamma</b> can be adjusted. Use <img src=\"undo.png\"> next to the Gamma slider to reset to 1. Once you are happy with the image, a LDR version can be saved. Press <img src=\"filesave.png\"> to open a <b>File Save</b> dialog. Presently, only PNG is supported. I will fix that soon. </p>\n"
"\n"
"\n"
"<p>There may be some advantage to varying the <b>Gamma</b> here, as opposed to after saving as a LDR image. The tone mapped image is stored internally as a PFS stream and it is this stream that has its gamma adjusted, <i>i.e.</i> the gamma is adjusted before the image is converted to 8 bits per channel per pixel.</p>\n"
"\n"
"<p>On the main window, to the left of <img src=\"next.png\">, is the checkbox <b>Open in New Window</b>. If this is checked, each time an image work size is selected or a new tone mapping is requested, the results will open in a new viewer window. This feature makes comparing different operators or parameters easy. In particular, if using a small <b>work size</b>, it is easy to keep track of various versions of an image. The image viewer windows' captions reflect the selected operator and parameters.\n"
"</p>\n"
"<p>Use <img src=\"close.png\"> to close viewer windows and  <img src=\"quit.png\"> quit the application and close all windows. You <b>will not</b> be prompted to save unsaved tone mapped images.\n"
"</p>\n"
"<p>I can not encourage folks enough to let me know about any problems or suggestions for this program. This its first public release.</p>\n"
"\n"
"<p>Nicholas Phillips<br>\n"
"ngphillips at gmail dot com</p>" ) );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
}

