/****************************************************************************
** Form interface generated from reading ui file 'tm_dialog.ui'
**
** Created: 2012-03-19T05:01:38
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef TMDIALOG_H
#define TMDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qprocess.h>
#include <qvaluevector.h>
#include <list>
#include "gang.h"
#include "imageviewer.h"
#include "helpdialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QTabWidget;
class QWidget;
class QLabel;
class QCheckBox;
class QButtonGroup;
class QRadioButton;
class QSlider;
class QLineEdit;
class QPushButton;
class QFrame;
class QComboBox;

class TMDialog : public QDialog
{
    Q_OBJECT

public:
    TMDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~TMDialog();

    QTabWidget* filterTab;
    QWidget* ashikhmin02;
    QLabel* textLabel9;
    QCheckBox* simpleCheckBox;
    QButtonGroup* eqButtonGroup;
    QRadioButton* eq2RadioButton;
    QRadioButton* eq4RadioButton;
    QLabel* textLabel2;
    QSlider* contrastSlider;
    QLineEdit* contrastLineEdit;
    QPushButton* ashikhminDefault;
    QWidget* drago03;
    QLabel* textLabel10;
    QLabel* textLabel5;
    QSlider* biasSlider;
    QLineEdit* biasLineEdit;
    QPushButton* dragoDefault;
    QWidget* durand02;
    QLabel* textLabel8;
    QLabel* textLabel15;
    QSlider* spatialSlider;
    QLineEdit* spatialLineEdit;
    QLabel* textLabel15_2;
    QSlider* rangeSlider;
    QLineEdit* rangeLineEdit;
    QLabel* textLabel15_3;
    QSlider* baseSlider;
    QLineEdit* baseLineEdit;
    QPushButton* durandDefault;
    QWidget* fattal02;
    QLabel* textLabel11;
    QLabel* textLabel18;
    QSlider* alphaSlider;
    QLineEdit* alphaLineEdit;
    QLabel* textLabel18_2;
    QSlider* betaSlider;
    QLineEdit* betaLineEdit;
    QLabel* textLabel18_3;
    QSlider* saturation2Slider;
    QLineEdit* saturation2LineEdit;
    QPushButton* fattalDefault;
    QWidget* pattanaik00;
    QLabel* textLabel12;
    QLabel* textLabel19;
    QSlider* multiplierSlider;
    QLineEdit* multiplierLineEdit;
    QCheckBox* localCheckBox;
    QLabel* textLabel19_2;
    QSlider* coneSlider;
    QLineEdit* coneLineEdit;
    QLabel* textLabel19_3;
    QSlider* rodSlider;
    QLineEdit* rodLineEdit;
    QPushButton* pattanaikDefault;
    QWidget* reinhard02;
    QLabel* textLabel13;
    QCheckBox* scalesCheckBox;
    QLabel* textLabel20;
    QSlider* keySlider;
    QLineEdit* keyLineEdit;
    QLabel* textLabel20_2;
    QSlider* phiSlider;
    QLineEdit* phiLineEdit;
    QLabel* textLabel20_3;
    QSlider* range2Slider;
    QLineEdit* range2LineEdit;
    QLabel* textLabel20_4;
    QSlider* lowerSlider;
    QLineEdit* lowerLineEdit;
    QLabel* textLabel20_5;
    QSlider* upperSlider;
    QLineEdit* upperLineEdit;
    QPushButton* reinhart02Default;
    QWidget* reinhard04;
    QLabel* textLabel14;
    QLabel* textLabel20_5_4;
    QSlider* brightnessSlider;
    QLineEdit* brightnessLineEdit;
    QLabel* textLabel20_5_5;
    QSlider* saturationSlider;
    QLineEdit* saturationLineEdit;
    QPushButton* reinhart04Default;
    QLabel* textLabel1;
    QLineEdit* inputLineEdit;
    QPushButton* inputPushButton;
    QFrame* line1;
    QLabel* textLabel1_2;
    QComboBox* sizeComboBox;
    QPushButton* buttonHelp;
    QCheckBox* newWinCheckBox;
    QPushButton* buttonApply;
    QPushButton* quitBbutton;

    QString inputFile;

    virtual void init();
    virtual void getToneMapCmd( QString & cmd, QString & args, QString & fname );

public slots:
    virtual void runToneMap();
    virtual void ashikhminReset();
    virtual void dragoReset();
    virtual void durandReset();
    virtual void fattalReset();
    virtual void pattanaikReset();
    virtual void reinhard02Reset();
    virtual void reinhart04Reset();
    virtual void gammaReset();
    virtual void selectInput();
    virtual void loadInput();
    virtual void setWorkSize( int index );
    virtual void quiting();
    virtual void showHelp();

signals:
    void toneMapping(QString);

protected:
    int newVariable;

    QVBoxLayout* TMDialogLayout;
    QVBoxLayout* ashikhmin02Layout;
    QSpacerItem* spacer5;
    QHBoxLayout* layout6;
    QSpacerItem* spacer4;
    QGridLayout* eqButtonGroupLayout;
    QHBoxLayout* layout60;
    QHBoxLayout* layout22;
    QSpacerItem* spacer10_2;
    QVBoxLayout* drago03Layout;
    QSpacerItem* spacer6;
    QHBoxLayout* layout62;
    QHBoxLayout* layout22_2;
    QSpacerItem* spacer10_2_2;
    QVBoxLayout* durand02Layout;
    QSpacerItem* spacer7;
    QHBoxLayout* layout9;
    QHBoxLayout* layout9_2;
    QHBoxLayout* layout9_3;
    QHBoxLayout* layout22_3;
    QSpacerItem* spacer10_2_3;
    QVBoxLayout* fattal02Layout;
    QSpacerItem* spacer8;
    QHBoxLayout* layout13;
    QHBoxLayout* layout13_2;
    QHBoxLayout* layout13_3;
    QHBoxLayout* layout22_4;
    QSpacerItem* spacer10_2_4;
    QVBoxLayout* pattanaik00Layout;
    QSpacerItem* spacer9;
    QHBoxLayout* layout16;
    QHBoxLayout* layout16_2;
    QHBoxLayout* layout16_3;
    QHBoxLayout* layout22_5;
    QSpacerItem* spacer10_2_5;
    QVBoxLayout* reinhard02Layout;
    QSpacerItem* spacer10;
    QHBoxLayout* layout19;
    QHBoxLayout* layout19_2;
    QHBoxLayout* layout19_3;
    QHBoxLayout* layout19_4;
    QHBoxLayout* layout19_5;
    QHBoxLayout* layout22_6;
    QSpacerItem* spacer10_2_6;
    QVBoxLayout* reinhard04Layout;
    QSpacerItem* spacer25;
    QHBoxLayout* layout19_5_4;
    QHBoxLayout* layout19_5_5;
    QHBoxLayout* layout22_7;
    QSpacerItem* spacer10_2_7;
    QHBoxLayout* layout30;
    QHBoxLayout* layout30_2;
    QSpacerItem* Horizontal_Spacing2;

protected slots:
    virtual void languageChange();

    virtual void inputReady();
    virtual void resizeReady();


private:
    ImageDialog *currImgDialog;
    QProcess *resizeproc;
    QByteArray workbuffer;
    QValueVector<int> sizes;
    Gang *saturationGang;
    Gang *brightnessGang;
    Gang *upperGang;
    Gang *lowerGang;
    Gang *range2Gang;
    Gang *phiGang;
    Gang *keyGang;
    Gang *rodGang;
    Gang *coneGang;
    Gang *multiplierGang;
    Gang *saturation2Gang;
    Gang *betaGang;
    Gang *alphaGang;
    Gang *baseGang;
    Gang *rangeGang;
    Gang *spatialGang;
    Gang *biasGang;
    Gang *contrastGang;
    Gang *gammaGang;
    QProcess *loadproc;
    QByteArray origbuffer;
    HelpDialog *helpDialog;

};

#endif // TMDIALOG_H
